For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/api/webhooks/llms.txt. For full documentation content, see https://developer.shipbob.com/api/webhooks/llms-full.txt.

# Get Subscriptions


GET https://api.shipbob.com/2026-01/webhook

  This endpoint returns a list of webhook subscriptions.


Reference: https://developer.shipbob.com/api/webhooks/get-subscriptions

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2026-01
  version: 1.0.0
paths:
  /2026-01/webhook:
    get:
      operationId: get-subscriptions
      summary: |
        Get Subscriptions
      description: |2
          This endpoint returns a list of webhook subscriptions.
      tags:
        - subpackage_webhooks
      parameters:
        - name: RecordsPerPage
          in: query
          description: |
            Number of webhooks returned per page in a paginated response.
          required: false
          schema:
            type: integer
        - name: Cursor
          in: query
          description: >
            [Optional] A pagination token used to retrieve the next or previous
            page of results. Omit to start at the first page.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token or OAuth2
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhooks.GetWebhookResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Webhooks.BadRequestObjectResult'
        '401':
          description: No access right at this time
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: No access
          content:
            application/json:
              schema:
                description: Any type
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Webhooks.Topics:
      type: string
      enum:
        - order.shipped
        - order.shipment.delivered
        - order.shipment.exception
        - order.shipment.on_hold
        - order.shipment.cancelled
        - return.created
        - return.updated
        - return.completed
      title: Webhooks.Topics
    Webhooks.V2.WebhookViewModelV2:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
          description: TimeStamp the webhook subscription was created
        description:
          type:
            - string
            - 'null'
          description: Description of the webhook subscription
        enabled:
          type: boolean
          description: Indicates if the webhook subscription is enabled or not
        id:
          type: string
          description: ID of the webhook subscription
        topics:
          type: array
          items:
            $ref: '#/components/schemas/Webhooks.Topics'
          description: List of event types the webhook will receive notifications for
        url:
          type: string
          description: URL subscription events will be posted to
      title: Webhooks.V2.WebhookViewModelV2
    Webhooks.GetWebhookResponse:
      type: object
      properties:
        items:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Webhooks.V2.WebhookViewModelV2'
        next:
          type:
            - string
            - 'null'
          description: Go to the Next page
        prev:
          type:
            - string
            - 'null'
          description: Go to the Previous page
      title: Webhooks.GetWebhookResponse
    WebhooksObjectResultDeclaredType1:
      oneOf:
        - type: string
        - type: string
        - type: string
      title: WebhooksObjectResultDeclaredType1
    WebhooksObjectResultDeclaredType9:
      oneOf:
        - type: string
      title: WebhooksObjectResultDeclaredType9
    WebhooksObjectResultDeclaredType10:
      oneOf:
        - type: string
        - type: string
        - type: string
      title: WebhooksObjectResultDeclaredType10
    WebhooksObjectResultDeclaredType124:
      oneOf:
        - type: string
      title: WebhooksObjectResultDeclaredType124
    WebhooksObjectResultDeclaredType125:
      oneOf:
        - type: string
        - type: string
        - type: string
      title: WebhooksObjectResultDeclaredType125
    WebhooksObjectResultDeclaredType12:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType124'
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType125'
        - type: string
      title: WebhooksObjectResultDeclaredType12
    WebhooksObjectResultDeclaredType144:
      oneOf:
        - type: string
      title: WebhooksObjectResultDeclaredType144
    WebhooksObjectResultDeclaredType146:
      oneOf:
        - type: string
      title: WebhooksObjectResultDeclaredType146
    WebhooksObjectResultDeclaredType147:
      oneOf:
        - type: string
      title: WebhooksObjectResultDeclaredType147
    WebhooksObjectResultDeclaredType14:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType144'
        - type: string
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType146'
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType147'
        - type: string
        - type: string
      title: WebhooksObjectResultDeclaredType14
    WebhooksObjectResultDeclaredType17:
      oneOf:
        - type: string
      title: WebhooksObjectResultDeclaredType17
    WebhooksObjectResultDeclaredType19:
      oneOf:
        - type: string
      title: WebhooksObjectResultDeclaredType19
    WebhooksObjectResultDeclaredType20:
      oneOf:
        - type: string
      title: WebhooksObjectResultDeclaredType20
    WebhooksObjectResultDeclaredType:
      oneOf:
        - type: string
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType1'
        - type: string
        - type: string
        - type: string
        - type: string
        - type: string
        - type: string
        - type: string
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType9'
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType10'
        - type: string
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType12'
        - type: string
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType14'
        - type: string
        - type: string
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType17'
        - type: string
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType19'
        - $ref: '#/components/schemas/WebhooksObjectResultDeclaredType20'
        - type: string
        - type: string
      title: WebhooksObjectResultDeclaredType
    Webhooks.IOutputFormatter:
      type: object
      properties: {}
      title: Webhooks.IOutputFormatter
    WebhooksObjectResultValue:
      type: object
      properties: {}
      title: WebhooksObjectResultValue
    WebhooksBadRequestObjectResultDeclaredType1:
      oneOf:
        - type: string
        - type: string
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType1
    WebhooksBadRequestObjectResultDeclaredType9:
      oneOf:
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType9
    WebhooksBadRequestObjectResultDeclaredType10:
      oneOf:
        - type: string
        - type: string
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType10
    WebhooksBadRequestObjectResultDeclaredType124:
      oneOf:
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType124
    WebhooksBadRequestObjectResultDeclaredType125:
      oneOf:
        - type: string
        - type: string
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType125
    WebhooksBadRequestObjectResultDeclaredType12:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType124'
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType125'
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType12
    WebhooksBadRequestObjectResultDeclaredType144:
      oneOf:
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType144
    WebhooksBadRequestObjectResultDeclaredType146:
      oneOf:
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType146
    WebhooksBadRequestObjectResultDeclaredType147:
      oneOf:
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType147
    WebhooksBadRequestObjectResultDeclaredType14:
      oneOf:
        - type: string
        - type: string
        - type: string
        - type: string
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType144'
        - type: string
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType146'
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType147'
        - type: string
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType14
    WebhooksBadRequestObjectResultDeclaredType17:
      oneOf:
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType17
    WebhooksBadRequestObjectResultDeclaredType19:
      oneOf:
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType19
    WebhooksBadRequestObjectResultDeclaredType20:
      oneOf:
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType20
    WebhooksBadRequestObjectResultDeclaredType:
      oneOf:
        - type: string
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType1'
        - type: string
        - type: string
        - type: string
        - type: string
        - type: string
        - type: string
        - type: string
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType9'
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType10'
        - type: string
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType12'
        - type: string
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType14'
        - type: string
        - type: string
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType17'
        - type: string
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType19'
        - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType20'
        - type: string
        - type: string
      title: WebhooksBadRequestObjectResultDeclaredType
    WebhooksBadRequestObjectResultValue:
      type: object
      properties: {}
      title: WebhooksBadRequestObjectResultValue
    Webhooks.BadRequestObjectResult:
      type: object
      properties:
        $type:
          type: string
        content_types:
          type:
            - array
            - 'null'
          items:
            type: string
        declared_type:
          oneOf:
            - $ref: '#/components/schemas/WebhooksBadRequestObjectResultDeclaredType'
            - type: 'null'
        formatters:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Webhooks.IOutputFormatter'
        status_code:
          type:
            - integer
            - 'null'
        value:
          oneOf:
            - $ref: '#/components/schemas/WebhooksBadRequestObjectResultValue'
            - type: 'null'
      required:
        - $type
      title: Webhooks.BadRequestObjectResult
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token or OAuth2

```

## SDK Code Examples

```python Webhooks_getSubscriptions_example
import requests

url = "https://api.shipbob.com/2026-01/webhook"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Webhooks_getSubscriptions_example
const url = 'https://api.shipbob.com/2026-01/webhook';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Webhooks_getSubscriptions_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-01/webhook"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Webhooks_getSubscriptions_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-01/webhook")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Webhooks_getSubscriptions_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/2026-01/webhook")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Webhooks_getSubscriptions_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/2026-01/webhook', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Webhooks_getSubscriptions_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-01/webhook");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Webhooks_getSubscriptions_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/webhook")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```